Bug 1417071 - Consumer GET call performance issue with large # of consumers and entitlements
Summary: Consumer GET call performance issue with large # of consumers and entitlements
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: Red Hat Satellite
Classification: Red Hat
Component: Candlepin
Version: 6.2.4
Hardware: Unspecified
OS: Unspecified
high
high
Target Milestone: Unspecified
Assignee: Barnaby Court
QA Contact: Jitendra Yejare
URL:
Whiteboard:
Depends On: 1399765 1399768
Blocks:
TreeView+ depends on / blocked
 
Reported: 2017-01-27 07:50 UTC by pm-sat@redhat.com
Modified: 2020-01-17 16:23 UTC (History)
7 users (show)

Fixed In Version:
Doc Type: If docs needed, set a value
Doc Text:
Clone Of: 1399765
Environment:
Last Closed: 2018-02-21 16:54:37 UTC
Target Upstream Version:


Attachments (Terms of Use)

Comment 2 Jitendra Yejare 2018-01-09 06:13:13 UTC
Hi,

How can QE verify this issue from satellite perspective ? Steps and expected result would be helpful.

Comment 3 Barnaby Court 2018-01-10 20:37:12 UTC
Reproduction steps are in comment 4 of the original BZ: 1399765

Comment 4 Jitendra Yejare 2018-01-17 11:24:15 UTC
Verified!

@ Satellite 6.3 snap 32

Steps:

1. Registered 12k+ clients
2. Subscribed 9998 out of those registered
3. Deployed this configuration:
https://access.redhat.com/solutions/2780871
4. Ran 'subscription-manager refresh' on one of the subscribed client.

Observation:

1. No error logs as mentioned in description of this bug under /var/lib/pgsql/data/pg_log/postgresql-Wed.log (Which is today's log file)
# tail -f  postgresql-Wed.log
2018-01-17 05:11:28 EST LOG:  parameter "log_min_duration_statement" changed to "500"
2. The quick refresh of subscriptions on the client.

So changing the state to Verified!

Comment 5 pm-sat@redhat.com 2018-02-21 16:54:37 UTC
Since the problem described in this bug report should be resolved in a recent advisory, it has been closed with a resolution of ERRATA.
> > 
> > For information on the advisory, and where to find the updated files, follow the link below.
> > 
> > If the solution does not work for you, open a new bug report.
> > 
> > https://access.redhat.com/errata/RHSA-2018:0336


Note You need to log in before you can comment on or make changes to this bug.